Vtiful\Kernel\Excel insertFormula

- « Vtiful\Kernel\Excel::header

- Vtiful\Kernel\Excel::insertImage »

- PHP Manual
- Vtiful\Kernel\Excel
- Vtiful\Kernel\Excel insertFormula

# Vtiful\Kernel\Excel::insertFormula

(PECL xlswriter >= 1.2.1)

Vtiful\Kernel\Excel::insertFormula — Vtiful\Kernel\Excel insertFormula

### Description

public Vtiful\Kernel\Excel::insertFormula(int `$row`, int `$column`, string `$formula`)

Insert calculation formula.

### Parameters

`row`

  cell row

`column`

  cell column

`formula`

  formula string

### Return Values

Vtiful\Kernel\Excel instance

### Examples

Example #1 example

    <?php
    $config = [
        'path' => './tests'
    ];

    $excel = new \Vtiful\Kernel\Excel($config);

    $file = $excel->fileName("free.xlsx")
        ->header(['name', 'money']);

    for($index = 1; $index < 10; $index++) {
        $file->insertText($index, 0, 'viest');
        $file->insertText($index, 1, 10);
    }

    $file->insertText(12, 0, "Total");
    $file->insertFormula(12, 1, '=SUM(B2:B11)'); // insert formula

    $file->output();